coupang
POST/v2/providers/seller_api/apis/api/v1/marketplace/brands/search2609170000

Brand Search

KR
# 01

簡介

Brand Search

# 02

詳細內容

Available buyer market: Korea

Search the Coupang Brand Library by brand name. Use this API to look up a brandId before specifying it in the Product Creation API.

路徑

POST/v2/providers/seller_api/apis/api/v1/marketplace/brands/search

範例端點

https://api-gateway.coupang.com/v2/providers/seller_api/apis/api/v1/marketplace/brands/search
# 03

請求內容

請求參數

請求內容參數

NameTypeDescription
brandName*string
Brand search keyword
countPerPageinteger
Results per page. Default: 10, Max: 10 (values over 10 are capped)
pageinteger
Page number. Default: 1, Min: 1 (values below 1 are corrected to 1)
請求範例application/json
{
  "brandName": "NIKE",
  "countPerPage": 10,
  "page": 1
}
# 04

回應內容

回應訊息

NameTypeDescription
codestring
Result code
SUCCESS/ERROR
messagestring
Result message
dataobject
page
data.page
integer
Applied page number
countPerPage
data.countPerPage
integer
Applied page size
totalCount
data.totalCount
integer
Total number of brands matching the search criteria
items
data.items
object[]
brandId
data.items[].brandId
string
Unique brand identifier (e.g. KR-5)
brandName
data.items[].brandName
string
Brand name (e.g. NIKE)
brandLogoUrl
data.items[].brandLogoUrl
string
Brand logo image URL
isUIDRequired
data.items[].isUIDRequired
boolean
Whether UID submission is required
allowedUIDTypes
data.items[].allowedUIDTypes
object[]
Allowed UID type list (e.g. GTIN, MPN)

Response Example

{
  "code": "SUCCESS",
  "message": "",
  "data": {
    "page": 1,
    "countPerPage": 10,
    "totalCount": 123,
    "items": [
      {
        "brandId": "KR-5",
        "brandName": "NIKE",
        "brandLogoUrl": "https://example.com/logo.png",
        "isUIDRequired": true,
        "allowedUIDTypes": [
          "GTIN",
          "MPN"
        ]
      }
    ]
  }
}
# 05

錯誤碼

HTTP代碼訊息
400HTTP_400Bad Request

錯誤說明

HTTP類型錯誤訊息解決方案
400400 Bad Request

brandName is required

Include the required brandName parameter

401401 Unauthorized

Authentication failed

Verify your HMAC authentication credentials